Package org.eclipse.graphiti.ui.internal.dnd

## Class ObjectsTransferDropTargetListener

- java.lang.Object
- - org.eclipse.gef.dnd.AbstractTransferDropTargetListener
  - - org.eclipse.graphiti.ui.internal.dnd.ObjectsTransferDropTargetListener

All Implemented Interfaces:
  `java.util.EventListener`, `org.eclipse.gef.dnd.TransferDropTargetListener`, `org.eclipse.jface.util.TransferDropTargetListener`, `org.eclipse.swt.dnd.DropTargetListener`, `org.eclipse.swt.internal.SWTEventListener`

    public class ObjectsTransferDropTargetListener
    extends org.eclipse.gef.dnd.AbstractTransferDropTargetListener

### Constructor Summary

Constructors
`ObjectsTransferDropTargetListener​(org.eclipse.gef.EditPartViewer viewer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.gef.Request` `createTargetRequest()`
`protected void` `handleDragOver()`
`protected void` `handleDrop()`
`protected void` `updateTargetRequest()`

### Methods inherited from class org.eclipse.gef.dnd.AbstractTransferDropTargetListener

`dragEnter, dragLeave, dragOperationChanged, dragOver, drop, dropAccept, eraseTargetFeedback, getCommand, getCurrentEvent, getDropLocation, getExclusionSet, getTargetEditPart, getTargetRequest, getTransfer, getViewer, handleDragOperationChanged, handleEnteredEditPart, handleExitingEditPart, handleHover, handleHoverStop, isEnabled, isEnablementDeterminedByCommand, setAutoexposeHelper, setCurrentEvent, setEnablementDeterminedByCommand, setTargetEditPart, setTransfer, setViewer, showTargetFeedback, unload, updateAutoexposeHelper, updateTargetEditPart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectsTransferDropTargetListener

    public ObjectsTransferDropTargetListener​(org.eclipse.gef.EditPartViewer viewer)

### Method Detail

#### handleDrop

    protected void handleDrop()

Overrides:
  `handleDrop` in class `org.eclipse.gef.dnd.AbstractTransferDropTargetListener`

#### updateTargetRequest

    protected void updateTargetRequest()

Specified by:
  `updateTargetRequest` in class `org.eclipse.gef.dnd.AbstractTransferDropTargetListener`

#### createTargetRequest

    protected org.eclipse.gef.Request createTargetRequest()

Overrides:
  `createTargetRequest` in class `org.eclipse.gef.dnd.AbstractTransferDropTargetListener`

#### handleDragOver

    protected void handleDragOver()

Overrides:
  `handleDragOver` in class `org.eclipse.gef.dnd.AbstractTransferDropTargetListener`